Subject: bug#7134: 24.0.50; Mac OS X X11 mode line highlighting not following mouse in daemon mode

From: Bob Nnamtrop <[email-masked]>
Date: Wed, 29 Sep 2010 10:11:06 -0600

I use emacs on Mac OS X in X11 and for some time this bug has been present
(23.1, 23.2, bzr trunk).  If emacs is started in daemon mode

emacs -Q --daemon

and then a frame is brought up using

emacsclient -n -c

and then another frame is made from the first one using

C-x 5 2

Now is the mouse is moved between them then focus follows the mouse (as I
have setup in the window manager) and I can type in the correct frame.  BUT
the mode line is not highlighted correctly as I move the mouse.  The
original frame keeps the highlighting no matter where the mouse is.  If I
click on the second frame then the mode line highlighting moves there but
then it says there (ie, doesn't mode with the mouse).

Note that this only happens if emacs is started in daemon mode (or with M-x
server-start).  If emacs is started normally then the mode line highlighting
follows the mouse as it should.

Bob

In GNU Emacs 24.0.50.2 (i386-apple-darwin9.8.0, GTK+ Version 2.20.1)
 of 2010-09-29 on ***
Windowing system distributor `The X.Org Foundation', version 11.0.10802000
configured using `configure  '--prefix=/Users/***/local-emacs-bzr''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t